Skip to main content

Query allowed senders list

Retrieve the allowed senders list for a specified group channel.

Request

POST: https://[Base URL](/platform-chat-api/base-url)/v4/group-channel/allowed-sender-list/get

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
channelIdStringYesThe group channel ID.

Request example

HTTP
POST /v4/group-channel/allowed-sender-list/get HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json

{
"channelId": "abcdefg"
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success.
resultObjectResult data.
result.userIdsString[]Array of user IDs on the allowed senders list.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0,
"result": {
"userIds": ["userId_001", "userId_002"]
}
}